Jump to content


Photo

OpenPLi 6.1 - autotimer führt zum Absturz


  • Please log in to reply
8 replies to this topic

#1 ElDiablo666

  • Senior Member
  • 31 posts

0
Neutral

Posted 12 July 2018 - 09:20

Hallo,

 

ich versuche gerade wegen eines anderen Problems auf OpenPLi 6.1 runter zu gehen.

Wenn ich den Autotimer installiere stürzt die Box durchgehend ab.

OpenPLi Enigma2 crash log

crashdate=Do Jan  1 01:01:11 1970
compiledate=Feb 19 2018
skin=PLi-FullNightHD/skin.xml
sourcedate=2018-02-18
branch=release-6.1
rev=34dd341
component=Enigma2

stbmodel=et9500
stbmodel=dm800se
kernelcmdline= bmem=216M ubi.mtd=rootfs root=ubi0:rootfs rootfstype=ubifs console=null consoleblank=0
nimsockets=NIM Socket 0:
imageissue=openpli 6.1-release %h


Traceback (most recent call last):
  File "/usr/lib/enigma2/python/Components/PluginComponent.py", line 52, in readPluginList
  File "/usr/lib/enigma2/python/Tools/Import.py", line 2, in my_import
  File "/usr/lib/enigma2/python/Plugins/Extensions/AutoTimer/plugin.py", line 37, in <module>
    from AutoTimer import AutoTimer
  File "/usr/lib/enigma2/python/Plugins/Extensions/AutoTimer/AutoTimer.py", line 128, in <module>
    "end": eEPGCache.END_TITLE_SEARCH,
AttributeError: type object 'eEPGCache' has no attribute 'END_TITLE_SEARCH'
Traceback (most recent call last):
  File "/usr/lib/enigma2/python/Components/Console.py", line 37, in finishedCB
  File "/usr/lib/enigma2/python/Components/Network.py", line 129, in routeFinished
  File "/usr/lib/enigma2/python/Components/Network.py", line 223, in loadNetworkConfig
  File "/usr/lib/enigma2/python/Components/Network.py", line 642, in msgPlugins
  File "/usr/lib/enigma2/python/Plugins/Extensions/OpenWebif/plugin.py", line 195, in IfUpIfDown
    HttpdStart(global_session)
  File "/usr/lib/enigma2/python/Plugins/Extensions/OpenWebif/httpserver.py", line 164, in HttpdStart
    temproot = buildRootTree(session)
  File "/usr/lib/enigma2/python/Plugins/Extensions/OpenWebif/httpserver.py", line 88, in buildRootTree
    root = RootController(session)
  File "/usr/lib/enigma2/python/Plugins/Extensions/OpenWebif/controllers/root.py", line 58, in __init__
    self.putChild("autotimer", ATController(session))
  File "/usr/lib/enigma2/python/Plugins/Extensions/OpenWebif/controllers/AT.py", line 19, in __init__
    from Plugins.Extensions.AutoTimer.AutoTimerResource import AutoTimerDoParseResource, \
  File "/usr/lib/enigma2/python/Plugins/Extensions/AutoTimer/AutoTimerResource.py", line 2, in <module>
    from AutoTimer import AutoTimer
  File "/usr/lib/enigma2/python/Plugins/Extensions/AutoTimer/AutoTimer.py", line 128, in <module>
    "end": eEPGCache.END_TITLE_SEARCH,
AttributeError: type object 'eEPGCache' has no attribute 'END_TITLE_SEARCH'

Weil ich als Test vorher OpenATV drauf hatte dachte ich die epg.dat hat einen weg.

Aber epg.dat löschen, mit EPGRefresh den EPGCache (?) neu erzeugen bringt alles nichts.

 

Mit freundlichen Grüßen

 

Andreas



Re: OpenPLi 6.1 - autotimer führt zum Absturz #2 ims

  • PLi® Core member
  • 10,045 posts

+160
Excellent

Posted 12 July 2018 - 09:42

there in Autotimer.py comment 2 lines (128,129), save and restart enigma2:

 

#    "end": eEPGCache.END_TITLE_SEARCH,
#    "description": eEPGCache.PARTIAL_DESCRIPTION_SEARCH,


Kdo nic nedělá, nic nezkazí!

Re: OpenPLi 6.1 - autotimer führt zum Absturz #3 ElDiablo666

  • Senior Member
  • 31 posts

0
Neutral

Posted 12 July 2018 - 11:00

Hi,

 

thanks, that worked for me.

 

Is that a bug in the version in the feed and will it be fixed in the feed too?



Re: OpenPLi 6.1 - autotimer führt zum Absturz #4 ims

  • PLi® Core member
  • 10,045 posts

+160
Excellent

Posted 12 July 2018 - 15:24

Strange. There In 6.1 this change in Autotimer should not be presented...


Kdo nic nedělá, nic nezkazí!

Re: OpenPLi 6.1 - autotimer führt zum Absturz #5 ElDiablo666

  • Senior Member
  • 31 posts

0
Neutral

Posted 12 July 2018 - 16:16

The version is

enigma2-plugin-extensions-autotimer - y-git4734+46dc2c7-r0.0

Maybe this can help...



Re: OpenPLi 6.1 - autotimer führt zum Absturz #6 ims

  • PLi® Core member
  • 10,045 posts

+160
Excellent

Posted 12 July 2018 - 17:02

6.1 has pined for plugins, where is Autotimer::
SRCREV_pn-enigma2-plugins = "83428ebafba9a111b01189c09f75737af1bca64b"

 

where enigma2-plugins: 83428ebafba9a111b01189c09f75737af1bca64b has date  27.jan.2018

And changes (problematic for 6.1) in Autotimer has date 18.2.2018 and 22.2.2018 - should not be in 6.1
 


Kdo nic nedělá, nic nezkazí!

Re: OpenPLi 6.1 - autotimer führt zum Absturz #7 WanWizard

  • Forum Moderator
    PLi® Core member
  • 42,395 posts

+676
Excellent

Posted 12 July 2018 - 17:37

There is no separate 6.1 and 6.2.

 

If you have 6.2 and you update, you get 6.2 automatically. Not updating your image to the latest version but still installing plugins from the feed will mix versions and cause this kind of problems.


Many answers to your question can be found in our new and improved wiki.

Currently in active use: VU+Solo 4K (1xFBC, 2xS2), VU+Zero, Edision OS mini+, Amiko Viper 2TC, Zgemma H3.2TC, Zgemma H6

For testing purposes: XP1000, Formuler F1 (2xS2), Miraclebox Premium Micro (S2+C/T), ET7500 (S2), ET8500 (S2), Zgemma H2.H (S2+C), Zgemma H5.2TC, SAB TripleAlpha (S2+C/T), Galaxy 4K (FBC), VU Zero 4K, HD2400 (4xS2), ET10000 (4xS2), VU+Duo2 (1xS2), Edision OS nino


Re: OpenPLi 6.1 - autotimer führt zum Absturz #8 ElDiablo666

  • Senior Member
  • 31 posts

0
Neutral

Posted 12 July 2018 - 18:41

Not updating your image to the latest version but still installing plugins from the feed will mix versions and cause this kind of problems.

 

OK so it was only a problem together with OpenPLi 6.1.

 

Now I updated to OpenPLi 6.2 (because of this problem) and the AutoBackup Plugin installed AutoTimer.

Same version like under OpenPLi 6.1:

enigma2-plugin-extensions-autotimer - y-git4734+46dc2c7-r0.0

With enabled lines (128, 129):

root@et9x00:~# grep eEPGCache /usr/lib/enigma2/python/Plugins/Extensions/AutoTimer/AutoTimer.py
from enigma import eEPGCache, eServiceReference, eServiceCenter, iServiceInformation
        "exact": eEPGCache.EXAKT_TITLE_SEARCH,
        "partial": eEPGCache.PARTIAL_TITLE_SEARCH,
        "start": eEPGCache.START_TITLE_SEARCH,
        "end": eEPGCache.END_TITLE_SEARCH,
        "description": eEPGCache.PARTIAL_DESCRIPTION_SEARCH,
        "sensitive": eEPGCache.CASE_CHECK,
        "insensitive": eEPGCache.NO_CASE_CHECK
                                #  eEPGCache.lookupEvent( [ format of the returned tuples, ( service, 0 = event intersects given start_time, start_time -1 for now_time), ] )
                epgcache = eEPGCache.getInstance()
root@et9x00:~#

And it is working...

 

Thanks, my problem is solved...  :)



Re: OpenPLi 6.1 - autotimer führt zum Absturz #9 FendiMan

  • Senior Member
  • 46 posts

+1
Neutral

Posted 15 July 2018 - 16:25

Ja, der Autotimer macht ein bißchen ein Problem, das mit den beiden Zeilen hatte ich auch schon:

https://forums.openp...und-auto-timer/


Gruß FendiMan

2 x VU+Duo2, CT9000, DM8000





0 user(s) are reading this topic

0 members, 0 guests, 0 anonymous users